package cn.org.bjca.trust.java.imserver.controller.conversation.v1;

import cn.org.bjca.trust.java.imserver.HttpResult;
import cn.org.bjca.trust.java.imserver.im.msg.ConversationMessage;
import cn.org.bjca.trust.java.imserver.request.RequestManager;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static cn.org.bjca.trust.java.imserver.request.RequestConstant.ConversationList;

@RestController
@RequestMapping("conversation/v1")
public class ConversationV1Controller {

    @PostMapping("/getConversation")
    public HttpResult<List<ConversationMessage>> getConversation(@RequestHeader HttpHeaders headers) throws Exception {
        return RequestManager.getInstance().request(ConversationList, null, headers);
    }

}
