package cn.org.bjca.trust.java.imserver.controller.message.v1;

import cn.org.bjca.trust.java.imserver.HttpResult;
import cn.org.bjca.trust.java.imserver.bean.group.MsgHistoryForCountData;
import cn.org.bjca.trust.java.imserver.im.msg.msg.SZYXMessage;
import cn.org.bjca.trust.java.imserver.request.RequestManager;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cn.org.bjca.trust.java.imserver.request.RequestConstant.MsgHistoryForCount;

@RestController
@RequestMapping("message/v1")
public class MessageV1Controller {

    @PostMapping("/getHistoryForCount")
    public HttpResult<List<SZYXMessage>> getHistoryForCount(@RequestBody MsgHistoryForCountData groupCreateData, @RequestHeader HttpHeaders headers) throws Exception {
        return RequestManager.getInstance().request(MsgHistoryForCount, groupCreateData, headers);
    }

}
